Name: pm-utils
Summary: Power management utilities and scripts
License: GPL
Version: 0.99.3
Release: 14%{?dist}
Group: System Environment/Base
ExclusiveArch: %{ix86} x86_64 ia64 ppc ppc64
Requires: usermode kbd pciutils >= 2.2.1
Requires: hal >= 0.5.8.1
Conflicts: bluez-utils < 2.25-6
Source0: pm-utils-%{version}.tar.gz

Source1: pm-suspend.pam
Source2: pm-hibernate.pam
Source3: pm-powersave.pam
Source4: pm-suspend-hybrid.pam

Source11: pm-suspend.app
Source12: pm-hibernate.app
Source13: pm-powersave.app
Source14: pm-suspend-hybrid.app

%define vbever 0.7
Source10: http://www.srcf.ucam.org/~mjg59/vbetool/vbetool_%{vbever}-1.tar.gz
Source20: radeontool-1.5.tar.gz
Source30: pm-action.sysconfig
%ifarch %{ix86}
Obsoletes: vbetool
Provides: vbetool
Obsoletes: radeontool
Provides: radeontool
%endif
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: hal-devel pkgconfig pciutils-devel
BuildRequires: dbus-devel >= 0.90, zlib-devel

Patch0: pm-utils-0.99.3-disable.patch
#Patch1: pm-utils-0.19-vidhooks.patch
Patch2: pm-utils-0.99.3-vbe-redirect.patch
Patch3: pm-utils-0.99.3-cfg.patch
Patch4: pm-utils-0.99.3-autoquirk.patch
Patch5: pm-utils-0.99.3-hal.patch
Patch6: pm-utils-0.99.3-selinux.patch
Patch7: pm-utils-0.99.3-dbus_check.patch
Patch8: pm-utils-0.99.3-sysconfig.patch
Patch9: pm-utils-0.99.3-usage.patch
Patch10: pm-utils-0.99.3-hooks.patch

Patch20: vbetool-0.3-fix-gcc4bug.patch
Patch21: vbetool-libz.patch
Patch22: vbetool-external-rom.patch
Patch23: vbetool-0.7-x86emu-update.patch

Patch40: radeontool-1.5.diff
Patch41: radeontool-fix-option-handling.diff
Patch42: radeontool-get-rid-of-lspci.diff
Patch43: radeontool-1.5-usage.patch

%description
The pm-utils package contains utilities and scripts useful for tasks
related to power management.

%prep
%setup -q -a 10 -a 20

%patch0 -p1 -b .disable
#%patch1 -p1 -b .vidhooks
%patch2 -p1 -b .vbe-redirect
%patch3 -p1 -b .cfg
%patch4 -p1 -b .autoquirk
%patch5 -p1 -b .hal
%patch6 -p1 -b .selinux
%patch7 -p1 -b .dbus_check
%patch8 -p1 -b .sysconfig
%patch9 -p1 -b .usage
%patch10 -p1 -b .hooks

%patch20 -p0 -b .gcc4
%patch21 -p0 -b .zlib
%patch22 -p1 -b .external-rom
pushd vbetool-*
%patch23 -p1 -b .x86emu-update
popd

cd radeontool-1.5
%patch40 -p0 -b .volatile
%patch41 -p0 -b .options
%patch42 -p0 -b .no-lspci
%patch43 -p1 -b .usage
cd ..

%build
cd vbetool-%{vbever}
%ifarch i386 i486 i586 i686 athlon
%configure
make
%endif

%ifarch x86_64
%configure --with-x86emu
make
%endif
cd ..

%ifarch %{ix86} x86_64
cd radeontool-1.5
%{__cc} $RPM_OPT_FLAGS -o radeontool radeontool.c -lpci -lz
cd ..
%endif

CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ; \
CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS ; \
FFLAGS="${FFLAGS:-%optflags}" ; export FFLAGS ; \
./configure --host=%{_host} --build=%{_build} \
	--target=%{_target_platform} \
	--program-prefix=%{?_program_prefix} \
	--prefix=%{_prefix} \
	--exec-prefix=%{_exec_prefix} \
	--bindir=%{_bindir} \
	--sbindir=%{_sbindir} \
	--sysconfdir=%{_sysconfdir} \
	--datadir=%{_datadir} \
	--includedir=%{_includedir} \
	--libdir=%{_exec_prefix}/lib \
	--libexecdir=%{_libexecdir} \
	--localstatedir=%{_localstatedir} \
	--sharedstatedir=%{_sharedstatedir} \
	--mandir=%{_mandir} \
	--infodir=%{_infodir}
make

%install
%{__rm} -rf $RPM_BUILD_ROOT
%ifarch %{ix86} x86_64
cd vbetool-%{vbever}
make DESTDIR=$RPM_BUILD_ROOT install
cd ..

cd radeontool-1.5
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
install -m 755 radeontool $RPM_BUILD_ROOT/%{_sbindir}
cd ..
%endif

make install DESTDIR=$RPM_BUILD_ROOT

install -m 755 -d $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d
for x in %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} ; do
	y=$(basename ${x%%.pam})
	install -T -m 644 $x $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d/$y
done
install -m 755 -d $RPM_BUILD_ROOT/%{_sysconfdir}/security/console.apps/
for x in %{SOURCE11} %{SOURCE12} %{SOURCE13} %{SOURCE14} ; do
	y=$(basename ${x%%.app})
	install -T -m 644 $x $RPM_BUILD_ROOT/%{_sysconfdir}/security/console.apps/$y
done
install -m 755 -d $RPM_BUILD_ROOT/%{_bindir}
pushd $RPM_BUILD_ROOT/%{_bindir}
for x in pm-hibernate pm-powersave pm-restart pm-shutdown pm-suspend ; do
	ln -sf consolehelper $x
done
popd
install -m 755 -d $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/
install -m 644 %{SOURCE30} $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/pm-action
install -d -m 755 $RPM_BUILD_ROOT/var/log/pm
install -d -m 755 $RPM_BUILD_ROOT/var/run/pm
install -m 600 /dev/null $RPM_BUILD_ROOT/var/log/pm/suspend.log
chmod 755 $RPM_BUILD_ROOT/%{_sysconfdir}/pm
rmdir $RPM_BUILD_ROOT/%{_sysconfdir}/pm/sleep.d
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/pm/hooks
ln -sf hooks $RPM_BUILD_ROOT/%{_sysconfdir}/pm/sleep.d
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/pm/hooks

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%pre
if [ -f /etc/sysconfig/pm ]; then
	mkdir -p /etc/pm/config.d
	mv /etc/sysconfig/pm /etc/pm/config.d/01oldconfig
fi

%post
if [ -f /etc/pm/config.rpmsave ]; then
	mkdir -p /etc/pm/config.d
	mv /etc/pm/config.rpmsave /etc/pm/config.d/02oldconfig
fi
if [ ! -a /var/log/pm/suspend.log ] ; then
	install -m 600 /dev/null /var/log/pm/suspend.log
fi

%files
%defattr(-,root,root)
%{_sysconfdir}/pm
%{_sysconfdir}/security/console.apps/*
%{_sysconfdir}/pam.d/*
%{_sysconfdir}/sysconfig/*
%dir %{_exec_prefix}/lib/pm-utils
%{_exec_prefix}/lib/pm-utils/bin
%{_exec_prefix}/lib/pm-utils/defaults
%{_exec_prefix}/lib/pm-utils/functions
%{_exec_prefix}/lib/pm-utils/power.d
%{_exec_prefix}/lib/pm-utils/sleep.d
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man*/*
%dir /var/run/pm
%dir /var/log/pm
%ghost %verify(not md5 size mtime) /var/log/pm/suspend.log

%changelog
* Mon Apr 30 2012 Jaroslav Škarvada <jskarvad@redhat.com> - 0.99.3-14
- Fixed summary
  Resolves: rhbz#817421

* Mon Apr 30 2012 Jaroslav Škarvada <jskarvad@redhat.com> - 0.99.3-13
- Fixed description
  Resolves: rhbz#817421

* Mon Feb  6 2012 Jaroslav Škarvada <jskarvad@redhat.com> - 0.99.3-12
- Updated x86emu code, patch backported by Adam Jackson <ajax@redhat.com>
  Resolves: rhbz#675268

* Wed Apr 29 2009 Phil Knirsch <pknirsch@redhat.com> - 0.99.3-11.el5
- Fixed unowned directories
- Resolves: #481811

* Tue Dec 02 2008 Phil Knirsch <pknirsch@redhat.com> - 0.99.3-10.el5
- Removed fix for #270861 as it caused a regression in suspend
- Resolves: #468289

* Wed Oct 08 2008 Phil Knirsch <pknirsch@redhat.com> - 0.99.3-9.el5
- Fixed a problem with the sysconfig patch (#438877)
- Corrected the fix for the stale /.suspended file (#270861)
- Resolves: #438877,#270861

* Wed Sep 24 2008 Phil Knirsch <pknirsch@redhat.com> - 0.99.3-8.el5
- Fixed critical typo in vbetool patch (#457332)

* Fri Aug 29 2008 Phil Knirsch <pknirsch@redhat.com> - 0.99.3-7.el5
- Print an error if there is a stale /.suspended file (#270861)
- Fixed problem with hooks running twice (#430077)
- New version of the sysconfig patch (#438877)
- Properly own /usr/lib/pm-utils (#447376)
- Fix vbetool to include POST with external ROMs for Nivida cards (#457332)

* Thu Mar 20 2008 Phil Knirsch <pknirsch@redhat.com> - 0.99.3-6.el5.19
- Drop sysconfig change as it didn't work as intended (#248517)

* Thu Jan 17 2008 Phil Knirsch <pknirsch@redhat.com> - 0.99.3-6.el5.18
- Added missing check if messagebus is running (#248514)
- Add /etc/sysconfig/pm-action (#248517)
- Check for valid options and output error message and usage on error (#251838)
- Fixed usage for radeontool (#252293)

* Tue Oct 02 2007 Phil Knirsch <pknirsch@redhat.com> - 0.99.3-6.el5.17
- Fixed missing /var/log/pm directory (#253722)

* Thu Sep 27 2007 Phil Knirsch <pknirsch@redhat.com> - 0.99.3-6.el5.16
- Fix autoquirk logic in combination with commandline (#236905)

* Tue Sep 11 2007 Phil Knirsch <pknirsch@redhat.com> - 0.99.3-6.el5.15
- More selinux fixes (#254199)

* Tue Aug 28 2007 Phil Knirsch <pknirsch@redhat.com> - 0.99.3-6.el5.14
- Fixed missing /etc/pm/hooks (#252300)

* Wed Aug 22 2007 Phil Knirsch <pknirsch@redhat.com> - 0.99.3-6.el5.13
- Fix selinux problems with file contexts (#253722)

* Fri Aug 17 2007 Phil Knirsch <pknirsch@redhat.com> - 0.99.3-6.el5.12
- Reenable autoquirks by default, disable them as soon as we get any quirks.
  Fixes regressions to RHEL-5 GA (#249544, #248159, #251544)
- Fixed bug in latest autoquirk patch

* Tue Jul 10 2007 Karsten Hopp <karsten@redhat.com> 0.99.3-6.el5.11
- disable autoquirks per default 
- add --from-hal option
- fix dbus call to hibernate

* Thu Jul 05 2007 Phil Knirsch <pknirsch@redhat.com> - 0.99.3-6.el5.10
- Updated HAL patch to reflect the changes in HAL (#236905)

* Wed Jun 27 2007 Phil Knirsch <pknirsch@redhat.com> - 0.99.3-6.el5.9
- Fixed typo in autoquirk patch

* Tue Jun 26 2007 Phil Knirsch <pknirsch@redhat.com> - 0.99.3-6.el5.8
- Fixed the HAL patch to use dbus-send properly
- Corrected option for old quirks to be inline with other quirk options
- Fixed requirement on correct hal version

* Fri Jun 22 2007 Phil Knirsch <pknirsch@redhat.com> - 0.99.3-6.el5.6
- Patched pm-utils to use dbus signals for suspend and resume if not called
  from hal (#236905)
- Fixed radeontool not building on x86_64 (#229452)
- Fixed proper check for /sys/power files (#216978)

* Fri Jun 08 2007 Phil Knirsch <pknirsch@redhat.com> - 0.99.3-6.el5.1
- Forward ported the video based autoquirks to pm-utils-0.99.3

* Tue May 29 2007 Phil Knirsch <pknirsch@redhat.com> - 0.99.3-6
- Fixed missing builds for vbetool and radeontool for some archs (#241469)
- Fixed typo in functions where wrong variable was used (#241633)

* Wed May 16 2007 Peter Jones <pjones@redhat.com> - 0.99.3-5
- ... and create the directory the logfile goes in.

* Wed May 16 2007 Peter Jones <pjones@redhat.com> - 0.99.3-4
- Bump release to appease Koji.

* Wed May 16 2007 Peter Jones <pjones@redhat.com> - 0.99.3-3
- Create logfile in %%post and %%gost it.

* Wed Apr 25 2007 Peter Jones <pjones@redhat.com> - 0.99.3-2
- Get rid of bogus redirect on "vbetool post"
- add zlib linkage for vbetool and radeontool

* Mon Mar 26 2007 Peter Jones <pjones@redhat.com> - 0.99.3-1
- update to 0.99.3
- configure manually in the spec to avoid %%_lib as lib64

* Tue Mar 13 2007 Peter Jones <pjones@redhat.com> - 0.99.2-1
- update to 0.99.2

* Fri Feb  2 2007 Peter Jones <pjones@redhat.com> - 0.99.1-1
- Fix setsysfont hook to actually hit tty0, not the pty of the current task.

* Tue Jan 30 2007 Jeremy Katz <katzj@redhat.com> - 0.19.1-6
- build so that hooks run properly on resume; fix syntax error in 
  functions-intel (pjones)

* Fri Jan 26 2007 Phil Knirsch <pknirsch@redhat.com> - 0.19.1-5
- Fixed problem with changes in 10NetworkManager hook (#224556)

* Wed Jan 24 2007 Phil Knirsch <pknirsch@redhat.com> - 0.19.1-4
- Start/stop correct services in 10NetworkManager hook (#215253)
- Fixed check for /sys/power/disk and /sys/power/state (#214407)
- Added proper error messages in case /sys/power/disk or /sys/power/state are
  missing (#215386)
- Removed service calls and module load/unload for bluetooth hook (#213387)
- Added hook file to restore the sysfont after resume (#215391)
- Added the possibility to disable hibernate and suspend completely via the
  config file (#216459)
- Symlinked the config file to /etc/sysconfig/power-management (#216459)
- Fixed pm-powersave permission check bug (#222819)
- Small specfile cleanups

* Sun Oct  1 2006 Peter Jones <pjones@redhat.com> - 0.19.1-3
- Disable bluetooth suspend/reusme hook by default; the kernel modules seem
  to support this correctly these days.

* Thu Sep 28 2006 Peter Jones <pjones@redhat.com> - 0.19.1-2
- Ignore emacs backup files in config directories (#185979)

* Tue Aug  8 2006 Peter Jones <pjones@redhat.com> - 0.19.1-1
- Hopefully fix Centrino ThinkPad suspend+resume
- Hopefully fix Intel Mac Mini/MacBook suspend+resume

* Mon Jul 31 2006 Jeremy Katz <katzj@redhat.com> - 0.19-3
- doing the vbestate save/restore on intel video with the modesetting 
  intel xorg driver is broken.  so don't do it.

* Tue Jul 18 2006 John (J5) Palmieri <johnp@redhat.com> - 0.19-2
- requier a newer version of D-Bus and rebuild

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.19-1.1
- rebuild

* Tue Jun 13 2006 Peter Jones <pjones@redhat.com> - 0.19-1
- update from CVS
- move pam and consolehelper stuff here.
- move video hooks here since HAL isn't ready

* Tue Apr 25 2006 Peter Jones <pjones@redhat.com> - 0.18-1
- Make it work cross-distro

* Mon Apr 17 2006 Peter Jones <pjones@redhat.com> - 0.17-1
- add more helper functions
- rework things that were forking an extra subshell
- fix the suspend lock
- work around bluetooth/usb suspend wackiness

* Fri Mar 17 2006 Peter Jones <pjones@redhat.com> - 0.16-1
- rework the difference between hibernate and suspend; get rid of PM_MODE
- add 00clear script
- move default_resume_kernel from "functions" to 01grub's hibernate section

* Sat Mar 11 2006 Peter Jones <pjones@redhat.com> - 0.15-1
- fix hibernate check in a way that doesn't break "sleep".

* Fri Mar 10 2006 Peter Jones <pjones@redhat.com> - 0.14-1
- fix hibernate check in /etc/pm/hooks/20video

* Fri Mar 03 2006 Phil Knirsch <pknirsch@redhat.com> - 0.13-1
- Revert last changes for ATI graphics chips as they seem to cause more
  problems than they solved.

* Wed Mar 01 2006 Phil Knirsch <pknirsch@redhat.com> - 0.12-1
- Use vbetool post instead of vbetool dpms on for ATI cards.

* Tue Feb 28 2006 Jeremy Katz <katzj@redhat.com>
- allow building on all x86 arches (#183175)

* Tue Feb 28 2006 Jeremy Katz <katzj@redhat.com> - 0.11-1
- fix display on resume with nvidia graphics
- add infrastructure to tell what pm-util is running; don't resume 
  video on return from hibernate as the BIOS has already re-initialized it

* Fri Feb 24 2006 Phil Knirsch <pknirsch@redhat.com> - 0.10-1
- Added missing pciutils-devel BuildRequires (#182566) 
- Fixed missing vbestata save/restore calls for video suspend/resume (#182167, 
  #169494)
- Renamed hook scripts to allow local pre and post inserts (#179421)
- Added support for blinking led lights on Thinkpad Laptops during suspend
  (#179420)
- Added pm-powersave script for powersaving via HAL (#169054)
- Added symlinks for pm-shutdown and pm-restart (#165953)

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.09-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.09-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Jan 24 2006 Jeremy Katz <katzj@redhat.com> - 0.09-1
- Remove button module on suspend
- Set default kernel in grub to current one when hibernating 
  so that resume works

* Thu Dec 22 2005 Peter Jones <pjones@redhat.com> - 0.08-1
- Fix scripts for new pciutils

* Fri Dec  9 2005 Dave Jones <davej@redhat.com>
- Update to latest vbetool (0.5-1)
  Now also built on x86-64 too.

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Dec 01 2005 John (J5) Palmieri <johnp@redhat.com> - 0.07-3
- rebuild for the new dbus

* Wed Nov 30 2005 Peter Jones <pjones@redhat.com> - 0.07-2
- restart ntpd in the background
- switch terminals early so we don't wake the screen back up

* Fri Nov 18 2005 Bill Nottingham <notting@redhat.com> - 0.06-3
- nix that, wait for the kernel to settle down

* Wed Nov 16 2005 Bill Nottingham <notting@redhat.com> - 0.06-2
- fix LRMI usage in vbetool

* Thu Nov 10 2005 Peter Jones <pjones@redhat.com> - 0.06-1
- kill acpi_video_cmd calls in functions-ati
- fix lcd_on in functions-ati

* Fri Sep 30 2005 Bill Nottingham <notting@redhat.com> - 0.05-1
- check for presence of various tools/files before using them (#169560, #196562)

* Fri Aug 12 2005 Jeremy Katz <katzj@redhat.com> - 0.04-1
- add pm-hibernate

* Tue Jul 05 2005 Bill Nottingham <notting@redhat.com> - 0.03-1
- fix path to video functions in video hook

* Mon Jul 04 2005 Bill Nottingham <notting@redhat.com> - 0.02-1
- add a pm-suspend (#155613)

* Wed Apr 13 2005 Bill Nottingham <notting@redhat.com> - 0.01-1
- initial version - package up vbetool, radeontool, new on_ac_power
